Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools
[Java] Class ErrorReporter

    java.lang.Object
      org.codehaus.groovy.tools.ErrorReporter

    public class ErrorReporter
    extends Object

Provides services for reporting compilation errors to the user. Primary entry point is `write()`.

Authors:
  Chris Poirier

Version:
  \$Revision: 6778 \$

Constructor Summary
`ErrorReporter(Throwable e)` Configures a new Reporter.
`ErrorReporter(Throwable e, boolean debug)` Configures a new Reporter.

Method Summary
`protected void` | `dispatch(Throwable object, boolean child)` Runs the report once all initialization is complete.
`protected void` | `println(String line)` Prints a line to the underlying `PrintStream`
`protected void` | `println(StringBuffer line)`
`protected void` | `report(CompilationFailedException e, boolean child)` For CompilationFailedException.
`protected void` | `report(GroovyExceptionInterface e, boolean child)` For GroovyException.
`protected void` | `report(Exception e, boolean child)` For Exception.
`protected void` | `report(Throwable e, boolean child)` For everything else.
`protected void` | `stacktrace(Throwable e, boolean always)` Displays an exception's stack trace, if `debug` or `always`.
`void` | `write(PrintStream stream)` Writes the error to the specified `PrintStream`.
`void` | `write(PrintWriter writer)` Writes the error to the specified `PrintWriter`.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ErrorReporter

    public ErrorReporter(Throwable e)

  Configures a new Reporter. Default mode is not to report a stack trace unless the error was not of one of the supported types.
  Parameters:
    `e` - the exception on which to report

### ErrorReporter

    public ErrorReporter(Throwable e, boolean debug)

  Configures a new Reporter.
  Parameters:
    `e` - the exception on which to report
    `debug` - if set, stack traces will be output for all reports

Method Detail

### dispatch

    protected void dispatch(Throwable object, boolean child)

  Runs the report once all initialization is complete.

### println

    protected void println(String line)

  Prints a line to the underlying `PrintStream`

### println

    protected void println(StringBuffer line)

### report

    protected void report(CompilationFailedException e, boolean child)

  For CompilationFailedException.

### report

    protected void report(GroovyExceptionInterface e, boolean child)

  For GroovyException.

### report

    protected void report(Exception e, boolean child)

  For Exception.

### report

    protected void report(Throwable e, boolean child)

  For everything else.

### stacktrace

    protected void stacktrace(Throwable e, boolean always)

  Displays an exception's stack trace, if `debug` or `always`.

### write

    public void write(PrintStream stream)

  Writes the error to the specified `PrintStream`.

### write

    public void write(PrintWriter writer)

  Writes the error to the specified `PrintWriter`.

Copyright © 2003-2010 The Codehaus. All rights reserved.